- Aldebaran documentation |
- C++ Libraries |
- index

libalcommon 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
AL::ALFunctorBase Class Reference

ALFunctorBase is a generic functor class for pointer management. More...

`#include "alcommon/alfunctor.h"`

## Public Member Functions
| ALFunctorBase ()
| ALFunctorBase (qi::AnyFunction metaFun)
void | reset ()
qi::AnyFunction | genericFunction ()
qi::Signature | signature () const
qi::Signature | sigreturn () const
virtual void | call (const ALValue &pParams, ALValue &pResult)
| Generic call to a bound module's method. More...
virtual | ~ALFunctorBase ()
| Destructor. More...

## Public Attributes
qi::AnyFunction | _functor

## Detailed Description

ALFunctorBase is a generic functor class for pointer management.

Definition at line 35 of file alfunctor.h.

## Constructor & Destructor Documentation

AL::ALFunctorBase::ALFunctorBase | ( |  | ) |
| inline

Definition at line 38 of file alfunctor.h.

AL::ALFunctorBase::ALFunctorBase | ( | qi::AnyFunction | metaFun | ) |
| inline

Definition at line 42 of file alfunctor.h.

virtual AL::ALFunctorBase::~ALFunctorBase | ( |  | ) |
| inline virtual

Destructor.

Definition at line 77 of file alfunctor.h.

## Member Function Documentation

virtual void AL::ALFunctorBase::call | ( | const ALValue & | pParams,
|  | ALValue & | pResult
| ) |  |
| inline virtual

Generic call to a bound module's method.

Parameters

  pParams | input parameter
  pResult | output result

Definition at line 71 of file alfunctor.h.

qi::AnyFunction AL::ALFunctorBase::genericFunction | ( |  | ) |
| inline

Definition at line 51 of file alfunctor.h.

void AL::ALFunctorBase::reset | ( |  | ) |
| inline

Definition at line 47 of file alfunctor.h.

qi::Signature AL::ALFunctorBase::signature | ( |  | ) | const
| inline

Definition at line 55 of file alfunctor.h.

qi::Signature AL::ALFunctorBase::sigreturn | ( |  | ) | const
| inline

Definition at line 61 of file alfunctor.h.

## Member Data Documentation

qi::AnyFunction AL::ALFunctorBase::_functor

Definition at line 81 of file alfunctor.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libnaoqi/libalcommon/alcommon/alfunctor.h